Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.heckmansoft.surjey.model.vo
Class ResponseAnswer

    java.lang.Object
      com.heckmansoft.surjey.model.vo.ValueObject
          com.heckmansoft.surjey.model.vo.ResponseAnswer

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class ResponseAnswer
extends ValueObject

An answer to a question in a response.

See Also:
  Serialized Form

Constructor Summary
`ResponseAnswer()`

Method Summary
`int` | `compareTo(java.lang.Object other)`
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getAnswer()`
`java.lang.String` | `getQuestionId()`
`java.lang.String` | `getResponseId()`
`void` | `setAnswer(java.lang.String answer)`
`void` | `setQuestionId(java.lang.String questionId)`
`void` | `setResponseId(java.lang.String responseId)`
`java.lang.String` | `toString()`

Methods inherited from class com.heckmansoft.surjey.model.vo.ValueObject
`getId, getName, hashCode, setId, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResponseAnswer

    public ResponseAnswer()

Method Detail

### getResponseId

    public java.lang.String getResponseId()

### getQuestionId

    public java.lang.String getQuestionId()

### getAnswer

    public java.lang.String getAnswer()

### setResponseId

    public void setResponseId(java.lang.String responseId)

### setQuestionId

    public void setQuestionId(java.lang.String questionId)

### setAnswer

    public void setAnswer(java.lang.String answer)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ValueObject`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `ValueObject`

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `ValueObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD